html {
  height: 100%; }

body {
  min-height: 100%; }

.admin-body {
  min-height: calc(100% - 30px) !important;
  top: 0 !important;
  padding-top: 30px; }

.form-notice ul {
  list-style: none; }

.main-container {
  position: relative;
  min-height: 100vh;
  padding-bottom: 91px;
  /*73px;*/ }

.nailed-footer {
  position: absolute;
  bottom: 0;
  left: 0;
  right: 0;
  height: 73px; }

.full-screen-form-container {
  display: -ms-flexbox;
  display: flex;
  -ms-flex-align: center;
  align-items: center;
  padding-top: 40px;
  padding-bottom: 40px;
  background-color: #f5f5f5; }
  .full-screen-form-container .sticky-top {
    position: fixed;
    top: 0;
    left: 0;
    right: 0; }

.full-screen-form {
  width: 100%;
  max-width: 600px;
  padding: 15px;
  margin: auto; }
  .full-screen-form a {
    text-decoration: underline; }
  .full-screen-form label {
    display: block; }
  .full-screen-form .form-control {
    position: relative;
    box-sizing: border-box;
    height: auto;
    padding: 10px;
    font-size: 16px; }
    .full-screen-form .form-control:focus {
      z-index: 2; }
  .full-screen-form [type="submit"] {
    margin: 20px 0; }
  .full-screen-form.cabinet-login-form {
    max-width: 330px; }
  .full-screen-form.cabinet-restore-form {
    max-width: 500px; }

.form-notice {
  margin-top: 20px; }

.tab-container {
  padding: 20px;
  border: 1px solid #dee2e6;
  border-top: none; }

.courses-item {
  position: relative;
  padding: 10px 15px; }
  .courses-item:hover {
    background: #ececec; }

.courses-item-icon {
  float: left;
  width: 48px;
  padding-top: 6px; }

.courses-item-content {
  margin-left: 68px; }

.courses-item-title {
  font-size: 1.5rem;
  font-weight: 500;
  line-height: 1.2; }

.courses-item-components {
  display: inline-block;
  width: 200px; }

.courses-item-status {
  display: inline-block; }

.side-block {
  padding: 20px 15px; }
  .side-block + .side-block {
    margin-top: 20px; }

.courses-icons-descriptions dd {
  min-height: 32px;
  line-height: 32px;
  font-size: 0; }
  .courses-icons-descriptions dd > * {
    display: inline-block;
    vertical-align: middle;
    font-size: 1rem;
    line-height: 1.5; }

.course-page-summary {
  padding: 10px 15px;
  background: #f8f9fa; }
  .course-page-summary:after {
    display: block;
    content: "";
    clear: both; }

.course-page-summary-icon {
  float: left;
  width: 48px;
  padding-top: 6px; }

.course-page-summary-content {
  margin-left: 68px; }

.course-page-summary-status {
  font-size: 1.5rem;
  font-weight: 500;
  line-height: 1.2; }

.course-page-summary-components {
  width: 200px; }

.course-page-summary-actions {
  float: right; }

.lessons-item {
  position: relative;
  padding: 10px 15px; }
  .lessons-item:hover {
    background: #ececec; }
  .lessons-item:after {
    display: block;
    content: "";
    clear: both; }

.lessons-item-icon {
  float: left;
  width: 48px;
  padding-top: 6px; }

.lessons-item-content {
  margin-left: 68px; }

.lessons-item-title {
  font-size: 1.5rem;
  font-weight: 500;
  line-height: 1.2; }

.lessons-item-actions {
  float: right;
  margin-top: 7px; }

.lesson-progress:after {
  display: block;
  content: "";
  clear: both; }

.lesson-progress-ration {
  float: left;
  margin: 0 15px 0 0; }

.lesson-progress-time-passed {
  float: right;
  margin: 0 15px 0 0; }

.lesson-progress-time-left {
  float: right; }

.lesson-progress-bar {
  clear: both; }

.lesson-progress-bar-links {
  border-radius: 0; }

.lesson-progress-bar-types {
  border-radius: 0;
  height: 3px; }

.lesson-progress-bar-errors {
  border-radius: 0;
  height: 64px; }
  .lesson-progress-bar-errors .progress-bar {
    background-color: #e1ecf5; }
  .lesson-progress-bar-errors svg {
    display: inline-block;
    font-size: 36px; }
  .lesson-progress-bar-errors .lesson-progress-bar-status {
    display: block;
    height: 16px; }
  .lesson-progress-bar-errors .lesson-progress-bar-error {
    display: block;
    height: 48px;
    line-height: 48px;
    font-size: 0;
    background: #fff3cd;
    color: #dc3545; }
  .lesson-progress-bar-errors .progress-bar {
    display: block;
    height: 100%;
    position: relative; }
  .lesson-progress-bar-errors a.progress-bar:hover:after {
    content: '';
    display: block;
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    box-shadow: inset 0 0 0 32px rgba(0, 0, 0, .05); }
  .lesson-progress-bar-errors a.progress-bar:focus {
    outline: none;
    border: 2px solid #17a2b8;
    border-radius: 2px;
    z-index: 1;
    box-shadow: 0 0 0 1px rgba(0, 0, 0, .1); }
  .lesson-progress-bar-errors a.progress-bar:focus .lesson-progress-bar-status {
    height: 14px; }
  .lesson-progress-bar-errors a.progress-bar:focus .lesson-progress-bar-error {
    height: 46px;
    line-height: 48px; }

.lesson-file-download {
  color: #128699; }
  .lesson-file-download:hover {
    text-decoration: none;
    color: #007487; }

button.disabled, input.disabled, select.disabled, textarea.disabled {
  pointer-events: none; }

:focus {
  outline-color: #17a2b8; }

.table-stats td, .table-stats th {
  position: relative;
  font-size: 13px; }

.stats-passing-legend {
  line-height: 36px;
  vertical-align: middle; }
  .stats-passing-legend .col-md > span {
    vertical-align: middle;
    display: inline-block;
    height: 52px;
    line-height: 52px; }
  .stats-passing-legend .col-md > span.stats-passing-legend-icon {
    display: inline-block;
    font-size: 36px;
    line-height: 36px;
    padding: 8px; }
    .stats-passing-legend .col-md > span.stats-passing-legend-icon svg {
      vertical-align: baseline; }

.calendar .ui-widget {
  font-family: inherit; }
  .calendar .ui-widget-content {
    border: none;
    padding: 0; }
  .calendar .ui-widget-content .ui-widget-header {
    border: none;
    background: none; }
  .calendar .ui-widget-content .ui-datepicker-row-break {
    margin-bottom: 1.5rem; }
  .calendar .ui-widget-content table.ui-datepicker-calendar {
    width: 100%;
    margin: 0;
    font-size: 1em; }
  .calendar .ui-widget-content .ui-datepicker-group {
    width: 100%; }
  .calendar .ui-widget-content .ui-state-default, .calendar .ui-widget-content .ui-widget-content .ui-state-default, .calendar .ui-widget-content .ui-widget-header .ui-state-default {
    border-color: transparent;
    text-align: center;
    padding: 4px; }
  .calendar .ui-widget-content .ui-state-hover, .calendar .ui-widget-content .ui-widget-content .ui-state-hover, .calendar .ui-widget-content .ui-widget-header .ui-state-hover, .calendar .ui-widget-content .ui-state-focus, .calendar .ui-widget-content .ui-widget-content .ui-state-focus, .calendar .ui-widget-content .ui-widget-header .ui-state-focus {
    border: none;
    background: none; }
  .calendar .ui-widget-content .ui-state-active, .calendar .ui-widget-content .ui-widget-content .ui-state-active, .calendar .ui-widget-content .ui-widget-header .ui-state-active {
    background-color: transparent;
    background-image: url("data:image/svg+xml;utf8;base64,PHN2ZyB3aWR0aD0iMWVtIiBoZWlnaHQ9IjFlbSIgdmlld0JveD0iMCAwIDE2IDE2IiBjbGFzcz0iYmkgYmktY2lyY2xlLWZpbGwiIGZpbGw9IiMyOGE3NDUiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyI+PGNpcmNsZSBjeD0iOCIgY3k9IjgiIHI9IjgiLz48L3N2Zz4=");
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
    color: #fff;
    border: none; }
  .calendar .ui-widget-content .ui-state-highlight {
    background: transparent;
    border: none;
    color: inherit; }
  .calendar .ui-widget-content .ui-state-highlight a {
    background-color: transparent;
    background-image: url("data:image/svg+xml;utf8;base64,PHN2ZyB3aWR0aD0iMWVtIiBoZWlnaHQ9IjFlbSIgdmlld0JveD0iMCAwIDE2IDE2IiBjbGFzcz0iYmkgYmktY2lyY2xlIiBmaWxsPSIjMjhhNzQ1IiB4bWxucz0iaHR0cDovL3d3dy53My5vcmcvMjAwMC9zdmciPjxwYXRoIGZpbGwtcnVsZT0iZXZlbm9kZCIgZD0iTTggMTVBNyA3IDAgMSAwIDggMWE3IDcgMCAwIDAgMCAxNHptMCAxQTggOCAwIDEgMCA4IDBhOCA4IDAgMCAwIDAgMTZ6Ii8+PC9zdmc+");
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
    color: #28a745; }
  .calendar .ui-widget-content .ui-datepicker-current-day a {
    background-image: url("data:image/svg+xml;utf8;base64,PHN2ZyB3aWR0aD0iMWVtIiBoZWlnaHQ9IjFlbSIgdmlld0JveD0iMCAwIDE2IDE2IiBjbGFzcz0iYmkgYmktY2lyY2xlLWZpbGwiIGZpbGw9IiMyOGE3NDUiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyI+PGNpcmNsZSBjeD0iOCIgY3k9IjgiIHI9IjgiLz48L3N2Zz4=");
    color: #fff; }
  .calendar .ui-widget-content .ui-datepicker-today.ui-datepicker-current-day .ui-state-highlight {
    background-color: transparent;
    background-image: url("data:image/svg+xml;utf8;base64,PHN2ZyB3aWR0aD0iMWVtIiBoZWlnaHQ9IjFlbSIgdmlld0JveD0iMCAwIDE2IDE2IiBjbGFzcz0iYmkgYmktY2lyY2xlLWZpbGwiIGZpbGw9IiMxN0EyQjgiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyI+PGNpcmNsZSBjeD0iOCIgY3k9IjgiIHI9IjgiLz48L3N2Zz4=");
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
    color: #fff; }
    .calendar .ui-widget-content .ui-datepicker-today a.ui-state-highlight {
      background-color: transparent;
      background-image: url("data:image/svg+xml;utf8;base64,PHN2ZyB3aWR0aD0iMWVtIiBoZWlnaHQ9IjFlbSIgdmlld0JveD0iMCAwIDE2IDE2IiBjbGFzcz0iYmkgYmktY2lyY2xlIiBmaWxsPSIjMTdBMkI4IiB4bWxucz0iaHR0cDovL3d3dy53My5vcmcvMjAwMC9zdmciPjxwYXRoIGZpbGwtcnVsZT0iZXZlbm9kZCIgZD0iTTggMTVBNyA3IDAgMSAwIDggMWE3IDcgMCAwIDAgMCAxNHptMCAxQTggOCAwIDEgMCA4IDBhOCA4IDAgMCAwIDAgMTZ6Ii8+PC9zdmc+");
      background-size: contain;
      background-repeat: no-repeat;
      background-position: center;
      color: #17a2b8; }
  .calendar .ui-datepicker .ui-datepicker-next {
    right: 0;
    top: 0;
    cursor: pointer; }
  .calendar .ui-datepicker .ui-datepicker-prev {
    left: 0;
    top: 0;
    cursor: pointer; }
  .calendar .ui-datepicker-prev span.ui-icon, .calendar .ui-datepicker-next span.ui-icon {
    width: 100%;
    height: 2em;
    position: static;
    margin: 0;
    background-color: transparent;
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center; }
    .calendar .ui-datepicker-prev span.ui-icon.ui-icon-circle-triangle-e, .calendar .ui-datepicker-next span.ui-icon.ui-icon-circle-triangle-e {
      background-image: url("data:image/svg+xml;utf8;base64,PHN2ZyB3aWR0aD0iMWVtIiBoZWlnaHQ9IjFlbSIgdmlld0JveD0iMCAwIDE2IDE2IiBjbGFzcz0iYmkgYmktYXJyb3ctcmlnaHQtY2lyY2xlIiBmaWxsPSJjdXJyZW50Q29sb3IiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyI+PHBhdGggZmlsbC1ydWxlPSJldmVub2RkIiBkPSJNOCAxNUE3IDcgMCAxIDAgOCAxYTcgNyAwIDAgMCAwIDE0em0wIDFBOCA4IDAgMSAwIDggMGE4IDggMCAwIDAgMCAxNnoiLz48cGF0aCBmaWxsLXJ1bGU9ImV2ZW5vZGQiIGQ9Ik03LjY0NiAxMS4zNTRhLjUuNSAwIDAgMSAwLS43MDhMMTAuMjkzIDggNy42NDYgNS4zNTRhLjUuNSAwIDEgMSAuNzA4LS43MDhsMyAzYS41LjUgMCAwIDEgMCAuNzA4bC0zIDNhLjUuNSAwIDAgMS0uNzA4IDB6Ii8+PHBhdGggZmlsbC1ydWxlPSJldmVub2RkIiBkPSJNNC41IDhhLjUuNSAwIDAgMSAuNS0uNWg1YS41LjUgMCAwIDEgMCAxSDVhLjUuNSAwIDAgMS0uNS0uNXoiLz4KPC9zdmc+"); }
    .calendar .ui-datepicker-prev span.ui-icon.ui-icon-circle-triangle-w, .calendar .ui-datepicker-next span.ui-icon.ui-icon-circle-triangle-w {
      background-image: url("data:image/svg+xml;utf8;base64,PHN2ZyB3aWR0aD0iMWVtIiBoZWlnaHQ9IjFlbSIgdmlld0JveD0iMCAwIDE2IDE2IiBjbGFzcz0iYmkgYmktYXJyb3ctbGVmdC1jaXJjbGUiIGZpbGw9ImN1cnJlbnRDb2xvciIgeG1sbnM9Imh0dHA6Ly93d3cudzMub3JnLzIwMDAvc3ZnIj48cGF0aCBmaWxsLXJ1bGU9ImV2ZW5vZGQiIGQ9Ik04IDE1QTcgNyAwIDEgMCA4IDFhNyA3IDAgMCAwIDAgMTR6bTAgMUE4IDggMCAxIDAgOCAwYTggOCAwIDAgMCAwIDE2eiIvPjxwYXRoIGZpbGwtcnVsZT0iZXZlbm9kZCIgZD0iTTguMzU0IDExLjM1NGEuNS41IDAgMCAwIDAtLjcwOEw1LjcwNyA4bDIuNjQ3LTIuNjQ2YS41LjUgMCAxIDAtLjcwOC0uNzA4bC0zIDNhLjUuNSAwIDAgMCAwIC43MDhsMyAzYS41LjUgMCAwIDAgLjcwOCAweiIvPjxwYXRoIGZpbGwtcnVsZT0iZXZlbm9kZCIgZD0iTTExLjUgOGEuNS41IDAgMCAwLS41LS41SDZhLjUuNSAwIDAgMCAwIDFoNWEuNS41IDAgMCAwIC41LS41eiIvPjwvc3ZnPg=="); }

.schedule-item {
  border: 1px solid #dee2e6;
  border-top: 3px solid #dc3545;
  border-radius: 2px;
  padding: 1em; }
  .schedule-item .schedule-item-controls {
    position: absolute;
    bottom: 0.5rem;
    left: 1em;
    right: 1em;
    height: 4em;
    background: #dee2e6;
    padding: 0.75rem 1em;
    text-align: right; }
  .schedule-item .schedule-item-controls .btn-outline-secondary {
    background-color: rgba(255, 255, 255, .5); }
    .schedule-item .schedule-item-controls .btn-outline-secondary:active, .schedule-item .schedule-item-controls .btn-outline-secondary:hover {
      background-color: #6c757d; }

.error input, .error textarea, .error select {
  border-color: #dc3545 !important; }
  .error .form-control:focus {
    box-shadow: 0 0 0 0.2rem rgba(220, 53, 69, 0.25); }
